# decimalToQuality | xrpl
Documentation for xrpl

# Function decimalToQuality

- decimalToQuality(decimal: string): number

- Converts a string decimal to the "billionths" format for use with QualityIn/ QualityOut

  ### Returns

  A number in the "billionths" format.

  ### Throws

  ValidationError when the parameter is not convertible to "billionths" format.

  #### Parameters

  - ##### decimal: string

    A string decimal (i.e. ".00034").

  #### Returns number

  - Defined in packages/xrpl/src/utils/quality.ts:79

Generated using TypeDoc